## org.eclipse.jetty.webapp
Class JettyWebXmlConfiguration

    java.lang.Object
      org.eclipse.jetty.webapp.AbstractConfiguration
          org.eclipse.jetty.webapp.JettyWebXmlConfiguration

All Implemented Interfaces:
  Configuration

    public class JettyWebXmlConfiguration

extends AbstractConfiguration

JettyWebConfiguration. Looks for Xmlconfiguration files in WEB-INF. Searches in order for the first of jettyX-web.xml, jetty-web.xml or web-jetty.xml

Field Summary
`static String` `PROPERTY_THIS_WEB_INF_URL` The value of this property points to the WEB-INF directory of the web-app currently installed.

Constructor Summary
`JettyWebXmlConfiguration()`

Method Summary
`void` `configure(WebAppContext context)` Configure Apply web-jetty.xml configuration

Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration
`cloneConfigure, deconfigure, postConfigure, preConfigure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_THIS_WEB_INF_URL

    public static final String PROPERTY_THIS_WEB_INF_URL

  The value of this property points to the WEB-INF directory of the web-app currently installed. it is passed as a property to the jetty-web.xml file

  See Also:
    Constant Field Values

Constructor Detail

### JettyWebXmlConfiguration

    public JettyWebXmlConfiguration()

Method Detail

### configure

    public void configure(WebAppContext context)
                   throws Exception

  Configure Apply web-jetty.xml configuration

  Specified by:
    `configure` in interface `Configuration`
  Overrides:
    `configure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `Exception`
  See Also:
    `Configuration.configure(WebAppContext)`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.